osl::QuadIntPair Class Reference

`#include <quadInt.h>`

## Public Member Functions

| QuadIntPair ()
const QuadInt & | operator[] (int i) const
const QuadInt & | operator[] (Player pl) const
QuadInt & | operator[] (int i)
QuadInt & | operator[] (Player pl)
QuadIntPair & | operator+= (QuadIntPair const &a)
QuadIntPair & | operator-= (QuadIntPair const &a)

## Private Attributes

CArray< QuadInt, 2 > | v

## Detailed Description

Definition at line 154 of file quadInt.h.

## Constructor & Destructor Documentation

## QuadIntPair()

osl::container::QuadIntPair::QuadIntPair | ( |  | ) |

inline

Definition at line 158 of file quadInt.h.

## Member Function Documentation

## operator+=()

QuadIntPair & osl::container::QuadIntPair::operator+= | ( | QuadIntPair const & | a | ) |

inline

Definition at line 171 of file quadInt.h.

## operator-=()

QuadIntPair & osl::container::QuadIntPair::operator-= | ( | QuadIntPair const & | a | ) |

inline

Definition at line 176 of file quadInt.h.

## operator[]() [1/4]

QuadInt & osl::container::QuadIntPair::operator[] | ( | int | i | ) |

inline

Definition at line 165 of file quadInt.h.

## operator[]() [2/4]

const QuadInt & osl::container::QuadIntPair::operator[] | ( | int | i | ) | const

inline

Definition at line 159 of file quadInt.h.

## operator[]() [3/4]

QuadInt & osl::container::QuadIntPair::operator[] | ( | Player | pl | ) |

inline

Definition at line 168 of file quadInt.h.

## operator[]() [4/4]

const QuadInt & osl::container::QuadIntPair::operator[] | ( | Player | pl | ) | const

inline

Definition at line 162 of file quadInt.h.

## Member Data Documentation

## v

CArray<QuadInt,2> osl::container::QuadIntPair::v

private

Definition at line 156 of file quadInt.h.

The documentation for this class was generated from the following file:

- quadInt.h